/*
  Verwarming.h
  Copyright (c) 2014 Kenneth van Ewijk.  All right reserved.
*/

// ensure this library description is only included once
#ifndef Verwarming_h
#define Verwarming_h

#include "Print.h" 
#include <Wire.h>

// library interface description
class Verwarming
{
  // user-accessible "public" interface
  public:
    Verwarming(void);
    void setTemp(double);
    void setState(bool);
    void setWattage(int);
    void setVolume(int);
    void setLed(int);
    double calcTemp(void);
    void keepTemp(double);
    void gotoTemp(double);
    double getTemp(void);
    int getWattage(void);
    bool getState(void);
    double getDeltaTemp(void);
    int getTimeToTemp(double, double);
  private:
    void toggleLed(void);
    double temp;
    int wattage;
    int volume;
    bool state;
    double deltaTemp;
    int led;
};

#endif